This is DIP 3.3.7-uri (Dialup Internet Protocol) ported to Mint/MintNet, a
useful tool written by Fred N. van Kempen for establishing dialin and dialout
SLIP (and PPP) connections.

I have fixed quite a lot of bugs (hanguptty did not work, the interface wasn't
shut down correctly, no longer hardcoded to /dev/ttyS1, ...) and made PPP
work in a restricted way.

Changes
-------

PL1:
	- create lock files in /usr/spool/locks
	- don't crash on quit when port not set
	- don't hang forever in waits if nothing can be read from the tty

PL0:
	- initial distribution

What is needed to run dip?
--------------------------
 
- MintNet 0.55 or newer.

- Running 'Install.sh --firsttime' to install things and editing /etc/diphosts.

- Reading the DIP manual page and examples.

- Syslogd (from MintOS) must be running. You may get along without it (except
for a few messages like '/pipe/log: file not found'.

- Because dip creates uucp style tty lock files, you must have an entry for
the user 'uucp' in /etc/passwd:
	uucp::5:5::/usr/spool/uucp

- For the above one the directory /usr/spool/locks must be created if it doesn't
exist.

- Dip calls /etc/ifconfig and /etc/route, so both MintNet tools must reside
in /etc.

- If you are going to run dip as dialin (ie as a login program), then add an
entry to /etc/diphosts, /etc/passwd and /etc/group looking like this:

100 saturn # grep slip /etc/passwd
slip:123456789:1010:101:SLIP account:/tmp:/usr/bin/diplogin
101 saturn # grep slip /etc/group
slip:*:101:slip
102 saturn # grep slip /etc/diphosts
slip::149.10.11.2::CSLIP,296
103 saturn # ls -l /usr/bin/dip*
-rwsr-s---   1 root     slip        63047 Oct 23 19:50 /usr/bin/dip
lrwxrwxrwx   1 root     wheel           4 Oct 23 19:50 /usr/bin/diplogin -> dip

This way dip can be setuid root and only root and the members of group
'slip' can execute it.

- To recompile you need portlib PL8 or newer.

Notes
-----

I changed dip to look for your hostname first in /etc/hosts and only if that
fails to try namservers. This is because in the most common case the namserver
is on the other side of the slip link (which makes the name -> IP address
resolving fail because the SLIP link is not yet established).

Make sure you have an entry for your host in /etc/hosts and use IP addresses
instead of symbolic names in the dip scripts when no namservers are reachable
before the link is set up!


Kay Roemer,
<roemer@rbi.informatik.uni-frankfurt.de>
